import 'package:cpt_main/router/page/main_page_router.dart';
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:router/ext/auto_router_extensions.dart';

@RoutePage()
class NotificationPage extends StatelessWidget {

  const NotificationPage({Key? key}) : super(key: key);

  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const NotificationPageRoute());
    } else {
      appRouter.push(const NotificationPageRoute());
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text("NotificationPage")),
      body: Center(
        child: Text("Notification Page"),
      ),
    );
  }
}